Bug 2662 - should be separated
: should be separated
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gsmlib)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-06-13 02:19 by
Modified: 2007-01-23 14:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-06-13 02:19:24
Please split package to gsmlib that contains
%_libdir/*.so.*
/usr/share/doc/gsmlib-1.10/ChangeLog
/usr/share/doc/gsmlib-1.10/FAQ
/usr/share/doc/gsmlib-1.10/NEWS
/usr/share/doc/gsmlib-1.10/README

AND create some package (may be gsmlib-utils) that contains files in %_bindir and corresponding files in %_mandir/man?

AND put files
/usr/lib/libgsmme.so 
/usr/share/doc/gsmlib-1.10/README.developers
from gsmlib to gsmlib-devel package

AND remove:
/usr/share/doc/gsmlib-1.10/AUTHORS that has zero bytes of size,
/usr/share/doc/gsmlib-1.10/COPYING that contains GPL. The license tag must point to package license, but it is LGPL,
/usr/share/doc/gsmlib-1.10/{ABOUT-NLS,INSTALL} - standard  gettext and automake files.

gsmlib-devel package also should be splitted. 
/usr/lib/libgsmme.a must be owned by gsmlib-devel-static package.
---

---

------- Comment #1 From 2003-10-16 13:19:29 -------
не моё 
------- Comment #2 From 2006-09-03 20:36:42 -------
reassign
------- Comment #3 From 2007-01-22 15:13:34 -------
gsmlib теперь мой, в следующей сборке утилииты будут выделены в отдельный
пакет...
------- Comment #4 From 2007-01-23 10:24:31 -------
Fixed in gsmlib-1.11-alt0.041028.